using System;

namespace LevelCode.License.Security
{
    public static class LicenseKeyGenerator
    {
        public static string Gerar()
        {
            return $"LVL-{Bloco()}-{Bloco()}-{Bloco()}";
        }

        private static string Bloco()
        {
            return Guid.NewGuid()
                .ToString("N")
                .Substring(0, 4)
                .ToUpper();
        }
    }
}
